%global sum	Shooting game on X Window System

Summary:	%{sum}
Name:		xsoldier
Version:	1.8
Release:	%mkrel 9
License:	GPLv2
Group:		Games/Arcade
URL:		http://www.interq.or.jp/libra/oohara/xsoldier/
Source:		http://www.interq.or.jp/libra/oohara/xsoldier/%{name}-%{version}.tar.gz
Source3:	%{name}-icons.tar.bz2
Patch0:		%{name}-1.5-mdv-fix-str-fmt.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(xpm)

%description
Great little shoot 'em up game in the style of galaga. Very neat graphics, but
there's no sound support yet.

%prep

%setup -q
%autopatch -p1

%build

%configure --bindir=%{_gamesbindir} --localstatedir=%{_localstatedir}/lib  --with-sdl

%make

%install
%make_install bindir=%{_gamesbindir} datadir=%{_datadir} localstatedir=%{_localstatedir}/lib mandir=%{_mandir}

install -m 755 -d %{buildroot}/%{_menudir}
install -m 755 -d %{buildroot}/%{_iconsdir}

(cd  %{buildroot}%{_iconsdir} ; bunzip2 -c %{SOURCE3} | tar xvf - ) 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{sum}
Exec=%{_gamesbindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

chmod 777 %{buildroot}%{_localstatedir}/lib/games/xsoldier
cp scorefile.txt %{buildroot}%{_localstatedir}/lib/games/xsoldier/xsoldier.scores

%files
%doc ChangeLog README LICENSE INSTALL
%attr(0755, root, games) %{_gamesbindir}/*
%{_gamesdatadir}/*
%{_datadir}/applications/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_mandir}/man6/*
%attr(664, games, games) %{_localstatedir}/lib/games/xsoldier/xsoldier.scores


%changelog
* Wed Apr 15 2020 danf <danf> 1.8-9.mga8
+ Revision: 1567578
- Fix Comment= in .desktop file to stop referring to debug sources

* Fri Feb 14 2020 umeabot <umeabot> 1.8-8.mga8
+ Revision: 1518957
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.8-7.mga7
+ Revision: 1301983
- Mageia 7 Mass Rebuild

* Tue Jan 19 2016 daviddavid <daviddavid> 1.8-6.mga6
+ Revision: 925854
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.8-5.mga5
+ Revision: 744741
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8-4.mga5
+ Revision: 690781
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 520818
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 387403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 30 2011 shlomif <shlomif> 1.8-1.mga2
+ Revision: 150576
- New version - 1.8 - thanks to Malo

* Tue Mar 22 2011 steletch <steletch> 1.5-2.mga1
+ Revision: 75669
- Clean spec file
- imported package xsoldier

